summaryrefslogtreecommitdiff
path: root/games-util/dfhack/dfhack-0.34.11.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'games-util/dfhack/dfhack-0.34.11.2.ebuild')
-rw-r--r--games-util/dfhack/dfhack-0.34.11.2.ebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/games-util/dfhack/dfhack-0.34.11.2.ebuild b/games-util/dfhack/dfhack-0.34.11.2.ebuild
index 8161c666..3c507de6 100644
--- a/games-util/dfhack/dfhack-0.34.11.2.ebuild
+++ b/games-util/dfhack/dfhack-0.34.11.2.ebuild
@@ -60,6 +60,14 @@ pkg_setup() {
fi
}
+src_unpack() {
+ git-2_src_unpack
+ # git-2 doesn't do submodules properly
+ pushd "${EGIT_SOURCEDIR}" || die > /dev/null
+ git submodule update || die "could not update git submodules"
+ popd || die > /dev/null
+}
+
src_prepare() {
# Not sure why git-2 eclass doesn't fix this.
git submodule update